<html>
{% extends "base.html" %}

<body>
{% block content %}
<div style="border: 1px solid black; width:100%; display: flex; justify-content: center; font-size:40px;">
    <form method="post">
        <div class="row">
            <div class="col-sm-9">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Join existing room</h5>
                        <p class="card-text"><input name="room_name_join" class="form-control"
                                                    value="{{ room_name_join }}"></p>
                    </div>
                </div>
            </div>
            <div class="col-sm-9">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Create new room</h5>
                        <p class="card-text"><input name="room_name_create" class="form-control"
                                                    value="{{ room_name_create }}"></p>
                        <button class="btn btn-success"
                                style="border: 1px solid black; width:100%; display: flex; justify-content: center; margin-top: 10px;"
                                type="submit">Do it!
                        </button>
                    </div>
                    <div style="color: red; font-size:20px; width:100%; display: flex; justify-content: center;">{{
                        errors }}
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<div class="row">
    {% for room in active_rooms %}
    <div class="col-sm-3">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title"><b>{{ room.room_name }}</b><a href="/room/{{ room.slug_name }}"
                                                                     class="btn btn-primary"
                                                                     style="display: flex; justify-content: center; margin-top: 10px;">Jump
                    in!</a></h5>
                <table>
                    {% if room.users %}
                    Active users:
                    <br>
                    {% for user in room.users %}
                    <b>{{ user }}</b>
                    <br>
                    {% endfor %}
                    {% else %}
                    No active users :(
                    {% endif %}
                </table>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock content %}

</body>
</html>